package com.tarena.oss.account.service;

import java.util.Collection;

import com.tarena.oss.account.pojo.Detaildays;
import com.tarena.oss.account.pojo.Detailmonths;
import com.tarena.oss.account.pojo.Detailyears;

public interface AccountMgmtService {
	Collection<Detailyears> findAccountByYear();
	Collection<Detailyears> findAccountByYear(String year);
	Collection<Detailmonths> findAccountByMonth();
	Collection<Detailmonths> findAccountByMonth(String labip,String year);
	Collection<Detailmonths> findAccountByMonthfor(String year,String month);
	Collection<Detaildays> findAccountByDate(String labip,String year,String month);
	
	int findDateCnt();
	int findDateCnt(String cond);
	
	int findMonthCnt();
	int findMonthCnt(String cond);
	
	int findYearCnt();
	int findYearCnt(String cond);
}
